---
title: InputDeviceCapabilities
slug: Web/API/InputDeviceCapabilities/InputDeviceCapabilities
---
<p>The <code>InputDeviceCapabilities()</code> constructor creates a new {{domxref("InputDeviceCapabilities")}} object provides information about the physical device responsible for generating a touch event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>var inputDeviceCapabilities = new InputDeviceCapabilities([InputDeviceCapabilitiesInit])</code></pre>

<h3 id="Returns">Returns</h3>

<p>An instance of the {{domxref("InputDeviceCapabilities")}} interface.</p>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>InputDeviceCapabilitiesInit</code> {{optional_inline}}</dt>
	<dd>A dictionary object containing a set of device capabilities. It contains the following property.
	<ul>
		<li><code>fireTouchEvents</code>: A {{jsxref("Boolean")}} that indicates whether the device dispatches touch events.</li>
	</ul>
	</dd>
	<dt>
	<h2 id="Specifications">Specifications</h2>
	</dt>
</dl>

<table class="standard-table">
	<tbody>
		<tr>
			<th>Specification</th>
			<th>Status</th>
			<th>Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('InputDeviceCapabilities')}}</td>
			<td>{{Spec2('InputDeviceCapabilities')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.InputDeviceCapabilities.InputDeviceCapabilities")}}</p>
